# MetaInfo

This interface models the meta information associated with a meta flow:

```typescript
export interface MetaInfo {
    transactionCount: number,
    status?: MetaStatus,
    lastError: any
}
```

�

| Property         | Description                                                                                                     |
| ---------------- | --------------------------------------------------------------------------------------------------------------- |
| transactionCount | <p><strong>Type:</strong>  <code>number</code></p><p>transaction count executed in the meta flow</p>            |
| status           | <p><strong>Type:</strong>  <code>MetaStatus</code></p><p><code>The current status of the meta flow</code></p>   |
| lastError        | <p><strong>Type:</strong>  <code>any</code> </p><p><code>last error that was thrown to the meta flow</code></p> |

The possible values for MetaStatus are:

```typescript
export enum MetaStatus {
    STARTING = 'STARTING',
    INIT = "INIT",
    RUNNING = "RUNNING",
    ERROR = "ERROR",
    IDLE = "IDLE",
    IDLE_ON_TRANSACTION = "IDLE_ON_TRANSACTION",
}
```

�


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conanjs.io/api/conan-state-classes/metainfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
